import 'package:flutter/material.dart';
import 'package:ocg_app/ocg_app.dart';
import 'package:ocg_location/ocg_location.dart';
import 'package:ocg_location/src/screens/location_search_screen.dart';

class LocationActionHandler {
  final BuildContext context;

  LocationActionHandler.of(this.context);

  Future<AppResponse<Address>> searchLocation(
      {bool showCurrent = false, bool showMap = false}) async {
    var address = await Navigator.of(context).push(MaterialPageRoute(
        builder: (context) => LocationSearchScreen(
              isMapEnabled: showMap,
              showCurrentLocation: showCurrent,
            )));
    if (address != null) {
      return AppResponse.named(data: address);
    } else {
      return AppResponse.named(error: "Not found");
    }
  }
}
